// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "https://anytype.io/terms_of_use",
        "contact": {
            "name": "Anytype Support",
            "url": "https://anytype.io/contact",
            "email": "support@anytype.io"
        },
        "license": {
            "name": "Any Source Available License 1.0",
            "url": "https://github.com/anyproto/anytype-ts/blob/main/LICENSE.md"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/auth/display_code": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "auth"
                ],
                "summary": "Open a modal window with a code in Anytype Desktop app",
                "responses": {
                    "200": {
                        "description": "Challenge ID",
                        "schema": {
                            "$ref": "#/definitions/auth.DisplayCodeResponse"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/auth/token": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "auth"
                ],
                "summary": "Retrieve an authentication token using a code",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The challenge ID",
                        "name": "challenge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The 4-digit code retrieved from Anytype Desktop app",
                        "name": "code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Authentication token",
                        "schema": {
                            "$ref": "#/definitions/auth.TokenResponse"
                        }
                    },
                    "400": {
                        "description": "Invalid input",
                        "schema": {
                            "$ref": "#/definitions/util.ValidationError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/search": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "search"
                ],
                "summary": "Search and retrieve objects across all the spaces",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The search term to filter objects by name",
                        "name": "query",
                        "in": "query"
                    },
                    {
                        "type": "array",
                        "items": {
                            "type": "string"
                        },
                        "collectionFormat": "csv",
                        "description": "Specify object types for search",
                        "name": "object_types",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of objects",
                        "schema": {
                            "type": "object",
                            "additionalProperties": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/object.Object"
                                }
                            }
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "spaces"
                ],
                "summary": "Retrieve a list of spaces",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of spaces",
                        "schema": {
                            "$ref": "#/definitions/pagination.PaginatedResponse-space_Space"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "spaces"
                ],
                "summary": "Create a new Space",
                "parameters": [
                    {
                        "description": "Space Name",
                        "name": "name",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Space created successfully",
                        "schema": {
                            "$ref": "#/definitions/space.CreateSpaceResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "$ref": "#/definitions/util.ValidationError"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/members": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "spaces"
                ],
                "summary": "Retrieve a list of members for the specified Space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of members",
                        "schema": {
                            "$ref": "#/definitions/pagination.PaginatedResponse-space_Member"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/object_types": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Retrieve object types in a specific space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of object types",
                        "schema": {
                            "type": "object",
                            "additionalProperties": {
                                "$ref": "#/definitions/object.ObjectType"
                            }
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/object_types/{type_id}/templates": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Retrieve a list of templates for a specific object type in a space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The ID of the object type",
                        "name": "type_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of templates",
                        "schema": {
                            "type": "object",
                            "additionalProperties": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/object.ObjectTemplate"
                                }
                            }
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/objects": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Retrieve objects in a specific space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "The number of items to skip before starting to collect the result set",
                        "name": "offset",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "default": 100,
                        "description": "The number of items to return",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List of objects",
                        "schema": {
                            "type": "object",
                            "additionalProperties": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/object.Object"
                                }
                            }
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            },
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Create a new object in a specific space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Object details (e.g., name)",
                        "name": "object",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "object",
                            "additionalProperties": {
                                "type": "string"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "The created object",
                        "schema": {
                            "$ref": "#/definitions/object.ObjectResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "$ref": "#/definitions/util.ValidationError"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/objects/{object_id}": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Retrieve a specific object in a space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The ID of the object",
                        "name": "object_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "The requested object",
                        "schema": {
                            "$ref": "#/definitions/object.ObjectResponse"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            },
            "put": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Update an existing object in a specific space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The ID of the object",
                        "name": "object_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "The updated object details",
                        "name": "object",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/object.Object"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "The updated object",
                        "schema": {
                            "$ref": "#/definitions/object.ObjectResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "$ref": "#/definitions/util.ValidationError"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            },
            "delete": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "objects"
                ],
                "summary": "Delete a specific object in a space",
                "parameters": [
                    {
                        "type": "string",
                        "description": "The ID of the space",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "The ID of the object",
                        "name": "object_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "The deleted object",
                        "schema": {
                            "$ref": "#/definitions/object.ObjectResponse"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        },
        "/spaces/{space_id}/objects/{object_id}/export/{format}": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "export"
                ],
                "summary": "Export an object",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Space ID",
                        "name": "space_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Object ID",
                        "name": "object_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Export format",
                        "name": "format",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Object exported successfully",
                        "schema": {
                            "$ref": "#/definitions/export.ObjectExportResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "$ref": "#/definitions/util.ValidationError"
                        }
                    },
                    "403": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.UnauthorizedError"
                        }
                    },
                    "404": {
                        "description": "Resource not found",
                        "schema": {
                            "$ref": "#/definitions/util.NotFoundError"
                        }
                    },
                    "502": {
                        "description": "Internal server error",
                        "schema": {
                            "$ref": "#/definitions/util.ServerError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "auth.DisplayCodeResponse": {
            "type": "object",
            "properties": {
                "challenge_id": {
                    "type": "string",
                    "example": "67647f5ecda913e9a2e11b26"
                }
            }
        },
        "auth.TokenResponse": {
            "type": "object",
            "properties": {
                "app_key": {
                    "type": "string",
                    "example": ""
                },
                "session_token": {
                    "type": "string",
                    "example": ""
                }
            }
        },
        "export.ObjectExportResponse": {
            "type": "object",
            "properties": {
                "path": {
                    "type": "string"
                }
            }
        },
        "object.Block": {
            "type": "object",
            "properties": {
                "align": {
                    "type": "string"
                },
                "background_color": {
                    "type": "string"
                },
                "children_ids": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "file": {
                    "$ref": "#/definitions/object.File"
                },
                "id": {
                    "type": "string"
                },
                "text": {
                    "$ref": "#/definitions/object.Text"
                },
                "vertical_align": {
                    "type": "string"
                }
            }
        },
        "object.Detail": {
            "type": "object",
            "properties": {
                "details": {
                    "type": "object",
                    "additionalProperties": true
                },
                "id": {
                    "type": "string"
                }
            }
        },
        "object.File": {
            "type": "object",
            "properties": {
                "added_at": {
                    "type": "integer"
                },
                "hash": {
                    "type": "string"
                },
                "mime": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "size": {
                    "type": "integer"
                },
                "state": {
                    "type": "string"
                },
                "style": {
                    "type": "string"
                },
                "target_object_id": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "object.Object": {
            "type": "object",
            "properties": {
                "blocks": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/object.Block"
                    }
                },
                "details": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/object.Detail"
                    }
                },
                "icon": {
                    "type": "string",
                    "example": "📄"
                },
                "id": {
                    "type": "string",
                    "example": "bafyreie6n5l5nkbjal37su54cha4coy7qzuhrnajluzv5qd5jvtsrxkequ"
                },
                "layout": {
                    "type": "string",
                    "example": "basic"
                },
                "name": {
                    "type": "string",
                    "example": "Object Name"
                },
                "object_type": {
                    "type": "string",
                    "example": "Page"
                },
                "root_id": {
                    "type": "string"
                },
                "space_id": {
                    "type": "string",
                    "example": "bafyreigyfkt6rbv24sbv5aq2hko3bhmv5xxlf22b4bypdu6j7hnphm3psq.23me69r569oi1"
                },
                "type": {
                    "type": "string",
                    "example": "object"
                }
            }
        },
        "object.ObjectResponse": {
            "type": "object",
            "properties": {
                "object": {
                    "$ref": "#/definitions/object.Object"
                }
            }
        },
        "object.ObjectTemplate": {
            "type": "object",
            "properties": {
                "icon": {
                    "type": "string",
                    "example": "📄"
                },
                "id": {
                    "type": "string",
                    "example": "bafyreictrp3obmnf6dwejy5o4p7bderaaia4bdg2psxbfzf44yya5uutge"
                },
                "name": {
                    "type": "string",
                    "example": "Object Template Name"
                },
                "type": {
                    "type": "string",
                    "example": "object_template"
                }
            }
        },
        "object.ObjectType": {
            "type": "object",
            "properties": {
                "icon": {
                    "type": "string",
                    "example": "📄"
                },
                "id": {
                    "type": "string",
                    "example": "bafyreigyb6l5szohs32ts26ku2j42yd65e6hqy2u3gtzgdwqv6hzftsetu"
                },
                "name": {
                    "type": "string",
                    "example": "Page"
                },
                "type": {
                    "type": "string",
                    "example": "object_type"
                },
                "unique_key": {
                    "type": "string",
                    "example": "ot-page"
                }
            }
        },
        "object.Text": {
            "type": "object",
            "properties": {
                "checked": {
                    "type": "boolean"
                },
                "color": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "style": {
                    "type": "string"
                },
                "text": {
                    "type": "string"
                }
            }
        },
        "pagination.PaginatedResponse-space_Member": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/space.Member"
                    }
                },
                "pagination": {
                    "$ref": "#/definitions/pagination.PaginationMeta"
                }
            }
        },
        "pagination.PaginatedResponse-space_Space": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/space.Space"
                    }
                },
                "pagination": {
                    "$ref": "#/definitions/pagination.PaginationMeta"
                }
            }
        },
        "pagination.PaginationMeta": {
            "type": "object",
            "properties": {
                "has_more": {
                    "description": "whether there are more items available",
                    "type": "boolean",
                    "example": true
                },
                "limit": {
                    "description": "the current limit",
                    "type": "integer",
                    "example": 100
                },
                "offset": {
                    "description": "the current offset",
                    "type": "integer",
                    "example": 0
                },
                "total": {
                    "description": "the total number of items available on that endpoint",
                    "type": "integer",
                    "example": 1024
                }
            }
        },
        "space.CreateSpaceResponse": {
            "type": "object",
            "properties": {
                "space": {
                    "$ref": "#/definitions/space.Space"
                }
            }
        },
        "space.Member": {
            "type": "object",
            "properties": {
                "global_name": {
                    "type": "string",
                    "example": "john.any"
                },
                "icon": {
                    "type": "string",
                    "example": "http://127.0.0.1:31006/image/bafybeieptz5hvcy6txplcvphjbbh5yjc2zqhmihs3owkh5oab4ezauzqay?width=100"
                },
                "id": {
                    "type": "string",
                    "example": "_participant_bafyreigyfkt6rbv24sbv5aq2hko1bhmv5xxlf22b4bypdu6j7hnphm3psq_23me69r569oi1_AAjEaEwPF4nkEh9AWkqEnzcQ8HziBB4ETjiTpvRCQvWnSMDZ"
                },
                "identity": {
                    "type": "string",
                    "example": "AAjEaEwPF4nkEh7AWkqEnzcQ8HziGB4ETjiTpvRCQvWnSMDZ"
                },
                "name": {
                    "type": "string",
                    "example": "John Doe"
                },
                "role": {
                    "type": "string",
                    "example": "Owner"
                },
                "type": {
                    "type": "string",
                    "example": "member"
                }
            }
        },
        "space.Space": {
            "type": "object",
            "properties": {
                "account_space_id": {
                    "type": "string",
                    "example": "bafyreihpd2knon5wbljhtfeg3fcqtg3i2pomhhnigui6lrjmzcjzep7gcy.23me69r569oi1"
                },
                "analytics_id": {
                    "type": "string",
                    "example": "624aecdd-4797-4611-9d61-a2ae5f53cf1c"
                },
                "archive_object_id": {
                    "type": "string",
                    "example": "bafyreialsgoyflf3etjm3parzurivyaukzivwortf32b4twnlwpwocsrri"
                },
                "device_id": {
                    "type": "string",
                    "example": "12D3KooWGZMJ4kQVyQVXaj7gJPZr3RZ2nvd9M2Eq2pprEoPih9WF"
                },
                "gateway_url": {
                    "type": "string",
                    "example": "http://127.0.0.1:31006"
                },
                "home_object_id": {
                    "type": "string",
                    "example": "bafyreie4qcl3wczb4cw5hrfyycikhjyh6oljdis3ewqrk5boaav3sbwqya"
                },
                "icon": {
                    "type": "string",
                    "example": "http://127.0.0.1:31006/image/bafybeieptz5hvcy6txplcvphjbbh5yjc2zqhmihs3owkh5oab4ezauzqay?width=100"
                },
                "id": {
                    "type": "string",
                    "example": "bafyreigyfkt6rbv24sbv5aq2hko3bhmv5xxlf22b4bypdu6j7hnphm3psq.23me69r569oi1"
                },
                "local_storage_path": {
                    "type": "string",
                    "example": "/Users/johndoe/Library/Application Support/Anytype/data/AAHTtt1wuQEnaYBNZ2Cyfcvs6DqPqxgn8VXDVk4avsUkMuha"
                },
                "marketplace_workspace_id": {
                    "type": "string",
                    "example": "_anytype_marketplace"
                },
                "name": {
                    "type": "string",
                    "example": "Space Name"
                },
                "network_id": {
                    "type": "string",
                    "example": "N83gJpVd9MuNRZAuJLZ7LiMntTThhPc6DtzWWVjb1M3PouVU"
                },
                "profile_object_id": {
                    "type": "string",
                    "example": "bafyreiaxhwreshjqwndpwtdsu4mtihaqhhmlygqnyqpfyfwlqfq3rm3gw4"
                },
                "space_view_id": {
                    "type": "string",
                    "example": "bafyreigzv3vq7qwlrsin6njoduq727ssnhwd6bgyfj6nm4hv3pxoc2rxhy"
                },
                "tech_space_id": {
                    "type": "string",
                    "example": "bafyreif4xuwncrjl6jajt4zrrfnylpki476nv2w64yf42ovt7gia7oypii.23me69r569oi1"
                },
                "timezone": {
                    "type": "string",
                    "example": ""
                },
                "type": {
                    "type": "string",
                    "example": "space"
                },
                "widgets_id": {
                    "type": "string",
                    "example": "bafyreialj7pceh53mifm5dixlho47ke4qjmsn2uh4wsjf7xq2pnlo5xfva"
                },
                "workspace_object_id": {
                    "type": "string",
                    "example": "bafyreiapey2g6e6za4zfxvlgwdy4hbbfu676gmwrhnqvjbxvrchr7elr3y"
                }
            }
        },
        "util.NotFoundError": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "object",
                    "properties": {
                        "message": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "util.ServerError": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "object",
                    "properties": {
                        "message": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "util.UnauthorizedError": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "object",
                    "properties": {
                        "message": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "util.ValidationError": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "object",
                    "properties": {
                        "message": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "securityDefinitions": {
        "BasicAuth": {
            "type": "basic"
        }
    },
    "externalDocs": {
        "description": "OpenAPI",
        "url": "https://swagger.io/resources/open-api/"
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:31009",
	BasePath:         "/v1",
	Schemes:          []string{},
	Title:            "Anytype API",
	Description:      "This API allows interaction with Anytype resources such as spaces, objects, and object types.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
